summaryrefslogtreecommitdiff
path: root/src/password-store.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/password-store.sh')
-rwxr-xr-xsrc/password-store.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 6771ab2..db6f4ee 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -160,9 +160,9 @@ case "$command" in
exit 1
fi
if [ $clip -eq 0 ]; then
- exec gpg -q -d --yes "$passfile"
+ exec gpg -q -d --yes --batch "$passfile"
else
- clip "$(gpg -q -d --yes "$passfile" | head -n 1)" "$path"
+ clip "$(gpg -q -d --yes --batch "$passfile" | head -n 1)" "$path"
fi
fi
;;
@@ -248,7 +248,7 @@ case "$command" in
action="Added"
if [[ -f $passfile ]]; then
- gpg -q -d -o "$tmp_file" --yes "$passfile" || exit 1
+ gpg -q -d -o "$tmp_file" --yes --batch "$passfile" || exit 1
action="Edited"
fi
${EDITOR:-vi} "$tmp_file"
.vimrc?id=e3adc6d7ce5bc4737ef8c8fceec6f82094224252&follow=1'>Update haskellmodeRené Neumann1-2/+1 2011-12-09Update haskellmodeRené Neumann5-82/+228 2011-11-21Set Poly/ML as the default SML interpreter.René Neumann1-0/+3 2011-11-21Added support for jedit.René Neumann2-4/+11 2011-11-16Make 'hg k' work similar to 'git k'René 'Necoro' Neumann1-0/+3 2011-10-14'tabgroup' -> 'tabgroups'René 'Necoro' Neumann1-1/+1 2011-10-14Switch from openoffice alias to libreoffice (ooffice -> soffice)René 'Necoro' Neumann1-2/+2 2011-10-14Make the quotes in ProofGeneral to be nearly invisibleRené Neumann1-1/+1 2011-08-23Disable hightlighting of the domain in the FF urlbarRené Neumann1-0/+3 2011-08-12Enhance IE scriptRené Neumann1-6/+7 2011-08-11BlaRené 'Necoro' Neumann1-0/+2 2011-08-11Local fontsRené 'Necoro' Neumann1-13/+22 2011-08-11Better inconsolata thingsRené Neumann4-4/+13 2011-08-10Moved some functions to their own filesRené Neumann3-124/+120 2011-08-10More advanced IE scriptRené Neumann2-1/+74 2011-08-10Inconsolata also in emacsRené Neumann1-1/+1 2011-08-10Better vim fontsRené 'Necoro' Neumann1-1/+1 2011-08-09ooffice aliasRené Neumann1-0/+2 2011-08-09Update the needed hg-extensions.René Neumann1-1/+2 2011-06-08gtkrc stuff for Qt-Gtk-StyleRené 'Necoro' Neumann2-0/+8 2011-06-08Updated fonts.conf to work better on lcdsRené 'Necoro' Neumann1-17/+6